import { UiToolbar } from "./tool-container/toolbar/UiToolbar";
import { UiSplitPane } from "./UiSplitPane";
import { AbstractUiComponent } from "./AbstractUiComponent";
import { UiApplicationLayoutConfig } from "../generated/UiApplicationLayoutConfig";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
export declare class UiApplicationLayout extends AbstractUiComponent<UiApplicationLayoutConfig> {
    private $mainDiv;
    private _toolbar;
    private _rootSplitPane;
    private _$toolbarContainer;
    private _$contentContainer;
    constructor(config: UiApplicationLayoutConfig, context: TeamAppsUiContext);
    setToolbar(toolbar: UiToolbar): void;
    setRootSplitPane(splitPane: UiSplitPane): void;
    doGetMainElement(): HTMLElement;
    destroy(): void;
}
